Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class StampImageFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--com.sun.jimi.core.util.StampImageFilter

public class StampImageFilter
extends java.awt.image.ImageFilter

ImageFilter for applying the "JIMI stamp". Applies the stamp only to int-based images and uses ARGB values. Designed specifically for use with built-in JPEG images.

Field Summary
`protected int` | `stampheight`
`protected int` | `stampwidth`
`protected int` | `stampx`
`protected int` | `stampy`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`StampImageFilter()`

Method Summary
`void` | `setDimensions(int width, int height)`
`void` | `setPixels(int x, int y, int width, int height, java.awt.image.ColorModel model, int[] pixels, int offset, int scansize)`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setColorModel, setHints, setPixels, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stampx

    protected int stampx

### stampy

    protected int stampy

### stampwidth

    protected int stampwidth

### stampheight

    protected int stampheight

Constructor Detail

### StampImageFilter

    public StampImageFilter()

Method Detail

### setPixels

    public void setPixels(int x,
                          int y,
                          int width,
                          int height,
                          java.awt.image.ColorModel model,
                          int[] pixels,
                          int offset,
                          int scansize)

  Overrides:
    setPixels in class java.awt.image.ImageFilter

### setDimensions

    public void setDimensions(int width,
                              int height)

  Overrides:
    setDimensions in class java.awt.image.ImageFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD